Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Timezone data
Name: 		tzdata
Version: 	2008e
%define tzdata_version %{version}
%define tzcode_version %{version}
Release: 	1
License: 	GPL
Group: 		System/Base
Source0: 	tzdata-base-0.tar.bz2
Source1: 	ftp://elsie.nci.nih.gov/pub/tzdata%{tzdata_version}.tar.gz
Source2: 	ftp://elsie.nci.nih.gov/pub/tzcode%{tzcode_version}.tar.gz
Patch0: 	tzdata-2006m-brazil.patch
BuildRequires: 	gawk glibc glibc-common perl
BuildArchitectures: noarch
Buildroot: 	%{_tmppath}/%{name}-root

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
This package contains data files with rules for various timezones around
the world.

%prep
%setup -n tzdata
mkdir tzdata%{tzdata_version}
tar xzf %{SOURCE1} -C tzdata%{tzdata_version}
mkdir tzcode%{tzcode_version}
tar xzf %{SOURCE2} -C tzcode%{tzcode_version}
sed -e 's|@objpfx@|'`pwd`'/obj/|' \
    -e 's|@datadir@|%{_datadir}|' \
    -e 's|@install_root@|%{buildroot}|' \
  Makeconfig.in > Makeconfig
#%patch0 -p1

%build
make
grep -v tz-art.htm tzcode%{tzcode_version}/tz-link.htm > tzcode%{tzcode_version}/tz-link.html

%install
make install

%check
echo ====================TESTING=========================
make check && echo -e "Don\`t  care about that ... "
echo ====================TESTING END=====================

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/zoneinfo
%doc tzcode%{tzcode_version}/README
%doc tzcode%{tzcode_version}/Theory
%doc tzcode%{tzcode_version}/tz-link.html

%changelog
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 2008e-1
- Version update
* Tue Jul 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 2008d-1
- Version update
* Fri Jan 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 2007k-1
- Version update
* Tue Jan 02 2007 Christian Metzen <metzench@ccux-linux.de> 2006m-2
- rebuild with correct deps
* Sun Dec 31 2006 Christian Metzen <metzench@ccux-linux.de> 2006m-1
- Initial release
